NotLinkException (Java SE 14 & JDK 14)
Description: declaration: module: java.base, package: java.nio.file, class: NotLinkException
Keywords: java.nio.file.NotLinkException class

Module java.base
Package java.nio.file

# Class NotLinkException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
java.nio.file.FileSystemException
java.nio.file.NotLinkException

All Implemented Interfaces:
  `Serializable`

    public class NotLinkException
    extends FileSystemException

Checked exception thrown when a file system operation fails because a file is not a symbolic link.

Since:
  1.7
See Also:
  Serialized Form

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `NotLinkException​(String file)` | Constructs an instance of this class.
  `NotLinkException​(String file, String other, String reason)` | Constructs an instance of this class.

- ## Method Summary

  ### Methods declared in class java.nio.file.FileSystemException

  `getFile, getMessage, getOtherFile, getReason`

  ### Methods declared in class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### NotLinkException

    public NotLinkException​(String file)
    Constructs an instance of this class.
    Parameters:
      `file` - a string identifying the file or `null` if not known

  - ### NotLinkException

    public NotLinkException​(String file, String other, String reason)
    Constructs an instance of this class.
    Parameters:
      `file` - a string identifying the file or `null` if not known
      `other` - a string identifying the other file or `null` if not known
      `reason` - a reason message with additional information or `null`